#
# spec file for package python-serpent
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-serpent
Version:        1.41
Release:        4.1
Summary:        Serialization based on astliteral_eval
License:        MIT
URL:            https://github.com/irmen/Serpent
Source:         https://files.pythonhosted.org/packages/source/s/serpent/serpent-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
# /SECTION
%python_subpackages

%description
Serpent is a simple serialization library based on ast.literal_eval.

Because it only serializes literals and recreates the objects using ast.literal_eval(),
the serialized data is safe to transport to other machines (over the network for instance)
and de-serialize it there.

%prep
%setup -q -n serpent-%{version}

%build
%pyproject_wheel

%check
%pytest

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%{python_sitelib}/serpent.py
%pycache_only %{python_sitelib}/__pycache__/serpent*
%{python_sitelib}/serpent-%{version}*-info

%changelog
* Thu Jun 12 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 1.41
  * support for python up to 3.11 added (__getstate__ behavior change)
  * replaced travis CI by Github actions
  * drop python 3.5 support
* Wed Mar 18 2020 pgajdos@suse.com
- version update to 1.30.2
  * upstream does not support python 2 anymore
  * no changelog found
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix building without python2
* Tue Apr  2 2019 pgajdos@suse.com
- version update to 1.28
  * the souce dist archive now contains the unit tests as well
- run the testsuite
* Wed Mar  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.27:
  * fixed serialization of unicode elements in dicts and sets (this was a regression on Python 2.x)
  * support for enum34 backport library for enums in older python versions.
  * Some small tweaks and attempt to fix an inconsistently running unit test
  * LICENSE file included in release.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 1.24
  * fix Python 3.7 deprecation warnings about
    importing ABC types from collections vs collections.abc
- spec file cleanups
* Wed Nov  8 2017 toddrme2178@gmail.com
- Initial version
